Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class HttpStateType

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.net.httpclient.HttpStateType

    public class HttpStateType

extends org.apache.tools.ant.types.DataType

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`HttpStateType(org.apache.tools.ant.Project p)`

Method Summary
`void` | `addConfiguredCookie(org.apache.commons.httpclient.Cookie cookie)`
`void` | `addConfiguredCredentials(Credentials credentials)`
`void` | `addConfiguredProxyCredentials(Credentials credentials)`
`protected HttpStateType` | `getRef()`
`org.apache.commons.httpclient.HttpState` | `getState()`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpStateType

    public HttpStateType(org.apache.tools.ant.Project p)

Method Detail

### getState

    public org.apache.commons.httpclient.HttpState getState()

### getRef

    protected HttpStateType getRef()

### addConfiguredCredentials

    public void addConfiguredCredentials(Credentials credentials)

### addConfiguredProxyCredentials

    public void addConfiguredProxyCredentials(Credentials credentials)

### addConfiguredCookie

    public void addConfiguredCookie(org.apache.commons.httpclient.Cookie cookie)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD